std::chrono::time_point< _Clock, _Dur > Class Template Reference
Utilities » Time

## Public Types

typedef _Clock | clock
typedef _Dur | duration
typedef duration::period | period
typedef duration::rep | rep

## Public Member Functions

constexpr | time_point (const duration &__dur)
template<typename _Dur2 , typename = _Require<is_convertible<_Dur2, _Dur>>>
constexpr | time_point (const time_point< clock, _Dur2 > &__t)
constexpr time_point & | operator++ ()
constexpr time_point | operator++ (int)
constexpr time_point & | operator+= (const duration &__dur)
constexpr time_point & | operator-- ()
constexpr time_point | operator-- (int)
constexpr time_point & | operator-= (const duration &__dur)
constexpr duration | time_since_epoch () const

## Static Public Member Functions

static constexpr time_point | max () noexcept
static constexpr time_point | min () noexcept

## Related Functions

(Note that these are not member functions.)
template<typename _Clock , typename _Dur1 , typename _Rep2 , typename _Period2 >
constexpr time_point< _Clock, typename common_type< _Dur1, duration< _Rep2, _Period2 > >::type > | operator+ (const time_point< _Clock, _Dur1 > &__lhs, const duration< _Rep2, _Period2 > &__rhs)

## Detailed Description

### template<typename _Clock, typename _Dur>
class std::chrono::time_point< _Clock, _Dur >

`chrono::time_point` represents a point in time as measured by a clock

Definition at line 913 of file chrono.h.

The documentation for this class was generated from the following file:

- chrono.h